digiKam Developer Documentation: Digikam::DZoomBar Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::DZoomBar Class Reference
Inheritance diagram for Digikam::DZoomBar:

## Public Types
enum | BarMode { PreviewZoomCtrl = 0 , ThumbsSizeCtrl , NoPreviewZoomCtrl }

## Public Slots
void | slotUpdateTrackerPos ()

## Signals
void | signalDelayedZoomSliderChanged (int)
void | signalZoomSliderChanged (int)
void | signalZoomSliderReleased (int)
void | signalZoomValueEdited (double)

## Public Member Functions
| DZoomBar (QWidget *const parent=nullptr)
void | setBarMode (BarMode mode)
void | setThumbsSize (int size)
void | setZoom (double zoom, double zmin, double zmax)
void | setZoomMinusAction (QAction *const action)
void | setZoomPlusAction (QAction *const action)
void | setZoomTo100Action (QAction *const action)
void | setZoomToFitAction (QAction *const action)
void | triggerZoomTrackerToolTip ()
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Static Public Member Functions
static int | sizeFromZoom (double zoom, double zmin, double zmax)
static double | zoomFromSize (int size, double zmin, double zmax)

## Additional Inherited Members
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override

## Member Enumeration Documentation

## ◆ BarMode

enum Digikam::DZoomBar::BarMode

Enumerator
PreviewZoomCtrl | Preview Zoom controller.
ThumbsSizeCtrl | Thumb Size controller. Preview zoom controller still visible but disabled.
NoPreviewZoomCtrl | Thumb Size controller alone. Preview Zoom controller is hidden.